CVE-2004-1360
CVSS2.1
发布时间 :2004-02-27 00:00:00
修订时间 :2008-09-10 15:29:58
NMCO    

[原文]Unknown vulnerability in conv_fix in Sun Solaris 7 through 9, when invoked by conv_lpd, allows local users to overwrite arbitrary files.


[CNNVD]Sun Solaris conv_fix未明文件覆盖漏洞(CNNVD-200402-090)

        
        Solaris是一款由Sun Microsystems公司开发和维护的商业性质UNIX操作系统。
        Solaris系统中包含的"/usr/lib/print/conv_fix"存在安全漏洞,本地攻击者可以利用这个漏洞覆盖系统中任意文件。
        conv_lpd(1M)脚本调用的"/usr/lib/print/conv_fix"命令存在未明安全问题,如果conv_lpd(1M)脚本以root身份用户执行,利用这个漏洞就可以使本地用户在系统上覆盖或建立任意文件,造成拒绝服务或提升权限。
        <*链接:http://sunsolve.sun.com/pub-cgi/retrieve.pl?doc=fsalert%2F57509
        *>

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:1732/usr/lib/print/conv_fix Privilege Escalation Vulnerability
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1360
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1360
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200402-090
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/412566
(VENDOR_ADVISORY)  CERT-VN  VU#412566
http://xforce.iss.net/xforce/xfdb/15331
(PATCH)  XF  solaris-covfix-gain-privileges(15331)
http://www.ciac.org/ciac/bulletins/o-089.shtml
(VENDOR_ADVISORY)  CIAC  O-089
http://www.auscert.org.au/render.html?it=3902
(VENDOR_ADVISORY)  AUSCERT  ESB-2004.0169
http://sunsolve.sun.com/search/document.do?assetkey=1-26-57509-1
(VENDOR_ADVISORY)  SUNALERT  57509
http://secunia.com/advisories/10991
(VENDOR_ADVISORY)  SECUNIA  10991
http://www.osvdb.org/displayvuln.php?osvdb_id=4071
(UNKNOWN)  OSVDB  4071
http://www.securityfocus.com/bid/9759
(UNKNOWN)  BID  9759

- 漏洞信息

Sun Solaris conv_fix未明文件覆盖漏洞
低危 未知
2004-02-27 00:00:00 2005-10-20 00:00:00
本地  
        
        Solaris是一款由Sun Microsystems公司开发和维护的商业性质UNIX操作系统。
        Solaris系统中包含的"/usr/lib/print/conv_fix"存在安全漏洞,本地攻击者可以利用这个漏洞覆盖系统中任意文件。
        conv_lpd(1M)脚本调用的"/usr/lib/print/conv_fix"命令存在未明安全问题,如果conv_lpd(1M)脚本以root身份用户执行,利用这个漏洞就可以使本地用户在系统上覆盖或建立任意文件,造成拒绝服务或提升权限。
        <*链接:http://sunsolve.sun.com/pub-cgi/retrieve.pl?doc=fsalert%2F57509
        *>

- 公告与补丁

        厂商补丁:
        Sun
        ---
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        Sun Solaris 7.0 _x86:
        Sun Patch 107116-14
        
        http://sunsolve.sun.com/pub-cgi/findPatch.pl?patchId=107116&rev=14

        Sun Solaris 7.0:
        Sun Patch 107115-14
        
        http://sunsolve.sun.com/pub-cgi/findPatch.pl?patchId=107115&rev=14

        Sun Solaris 8.0 _x86:
        Sun Patch 109321-09
        
        http://sunsolve.sun.com/pub-cgi/findPatch.pl?patchId=109321&rev=09

        Sun Solaris 8.0:
        Sun Patch 109320-09
        
        http://sunsolve.sun.com/pub-cgi/findPatch.pl?patchId=109320&rev=09

        Sun Solaris 9.0 _x86:
        Sun Patch 114980-05
        
        http://sunsolve.sun.com/pub-cgi/findPatch.pl?patchId=114980&rev=05

        Sun Solaris 9.0:
        Sun Patch 113329-05
        
        http://sunsolve.sun.com/pub-cgi/findPatch.pl?patchId=113329&rev=05

- 漏洞信息

4071
Solaris conv_fix Privilege Escalation
Local Access Required Attack Type Unknown
Impact Unknown
Exploit Unknown

- 漏洞描述

Solaris contains a flaw that may allow a malicious user to gain access to unauthorized privileges. The issue is an unspecified flaw in /usr/lib/print/conv_fix. This flaw may lead to a loss of confidentiality, integrity and/or availability.

- 时间线

2004-02-26 2004-02-26
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Sun has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站